Cierre temporal del local
curl --request PATCH \
--url https://api.getjusto.com/api/v2/stores/{id}/temporaryCloseStore \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"closedUntilDate": "2023-11-07T05:31:56Z"
}
'import requests
url = "https://api.getjusto.com/api/v2/stores/{id}/temporaryCloseStore"
payload = { "closedUntilDate": "2023-11-07T05:31:56Z" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({closedUntilDate: '2023-11-07T05:31:56Z'})
};
fetch('https://api.getjusto.com/api/v2/stores/{id}/temporaryCloseStore', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "ok",
"data": {
"_id": "xKoiiqdtKGaRA2ve4",
"externalId": 2345,
"websiteId": "ErCkmcyCEovseJq5E",
"name": "Peña",
"acceptDelivery": true,
"acceptServe": true,
"acceptGo": true,
"currentPreparationDuration": 10,
"phone": "null",
"address": {
"placeId": "EihBdmVuaWRhIEhvbGFuZGEgMTYwNSwgUHJvdmlkZW5jaWEsIENoaWxlIjESLwoUChIJCfBr63TPYpYRguPJ8LiSNSgQxQwqFAoSCbELmxJ1z2KWEdvDHqTQ",
"address": "Avenida Holanda 1605",
"addressLine2": 1234,
"addressSecondary": "Providencia, Chile",
"comment": "Dejar con el conserje",
"location": {
"lat": -33.4334297,
"lng": -70.59966380000002
}
},
"schedule": {
"closedUntilDate": "null",
"closedDays": [
"2023-11-07T05:31:56Z"
],
"availableAtPeriods": false,
"openPeriods": [
{
"daysOfWeek": [
1,
2,
3,
4,
5,
6,
7
],
"fromMinute": 480,
"toMinute": 1200
}
],
"timezone": "America/Santiago"
}
}
}{
"status": "error",
"error": "Error en la petición"
}{
"status": "error",
"error": "Unauthorized"
}Locales
Cierre temporal del local
Usa este método para cerrar temporalmente un local
PATCH
/
stores
/
{id}
/
temporaryCloseStore
Cierre temporal del local
Descripción
Este método permite gestionar el cierre temporal de una tienda o local. Resulta esencial para gestionar el período activo del local y prevenir que los clientes realicen pedidos cuando el local no se encuentra operativo. Asimismo, posibilita la cancelación de un cierre temporal que se encontraba programado.Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Fecha hasta la que el local estará cerrado. Si se deja en null, el local volverá a estar disponible.
⌘I